From da08299c522102e42761943d24c795ed1ce9763d Mon Sep 17 00:00:00 2001
From: Hannes Domani <ssbssa@yahoo.de>
Date: Wed, 3 Sep 2014 19:52:28 +0200
Subject: [PATCH] playlist: fetcher: fix memory leaks

---
 src/playlist/fetcher.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/src/playlist/fetcher.c b/src/playlist/fetcher.c
index eb86994..41e0c32 100644
--- a/src/playlist/fetcher.c
+++ b/src/playlist/fetcher.c
@@ -227,15 +227,15 @@ static int FindArt( playlist_fetcher_t *p_fetcher, input_item_t *p_item )
                 msg_Dbg( p_fetcher->object,
                          " will search at higher scope, if possible" );
                 p_album = &p_fetcher->albums.p_elems[fe_idx];
+
+                psz_artist = psz_album = NULL;
                 break;
             }
         FOREACH_END();
     }
-    else
-    {
-        free( psz_artist );
-        free( psz_album );
-    }
+
+    free( psz_artist );
+    free( psz_album );
 
     if ( playlist_FindArtInCacheUsingItemUID( p_item ) != VLC_SUCCESS )
         playlist_FindArtInCache( p_item );
-- 
1.8.5.2.msysgit.0

